# Class LidarprofileManager

- Defined in src/lidar/Manager.ts:62

#####
Index

### Constructors

constructor

### Properties

cartoHighlight
config
debouncer
lidarBuffer
lidarPointHighlight
measure
plot
pointSum
profilePoints
utils

### Methods

clearBuffer
getProfileByLOD
init
setLine
setMap
updateData

##
Constructors

### constructor

- new LidarprofileManager(): LidarprofileManager

- Provides a service to manage a D3js component to be used to draw an lidar point cloud profile chart. Requires access to a Pytree webservice: https://github.com/sitn/pytree.

  #### Returns LidarprofileManager

  - Defined in src/lidar/Manager.ts:124

##
Properties

### cartoHighlight

cartoHighlight: Overlay

The hovered point attributes in D3 profile highlighted on the 2D map.

- Defined in src/lidar/Manager.ts:87

### config

config: LidarprofileConfigService

- Defined in src/lidar/Manager.ts:77

### debouncer

debouncer: (() => void) = ...

- Defined in src/lidar/Manager.ts:119

### lidarBuffer

lidarBuffer: VectorLayer<VectorSource<Feature<Geometry>>, Feature<Geometry>>

The profile footpring represented as a LineString represented with real mapunites stroke width.

- Defined in src/lidar/Manager.ts:98

### lidarPointHighlight

lidarPointHighlight: VectorLayer<VectorSource<Feature<Geometry>>, Feature<Geometry>>

The hovered point geometry (point) in D3 profile highlighted on the 2D map.

- Defined in src/lidar/Manager.ts:92

### measure

measure: default

- Defined in src/lidar/Manager.ts:75

### plot

plot: default

- Defined in src/lidar/Manager.ts:73

### pointSum

pointSum: number

- Defined in src/lidar/Manager.ts:117

### profilePoints

profilePoints: LidarprofilePoints

The variable where all points of the profile are stored.

- Defined in src/lidar/Manager.ts:103

### utils

utils: default

- Defined in src/lidar/Manager.ts:115

##
Methods

### clearBuffer

- clearBuffer(): void

- Clears the profile footprint.

  #### Returns void

  - Defined in src/lidar/Manager.ts:206

### getProfileByLOD

- getProfileByLOD(clippedLine, distanceOffset, resetPlot, minLOD): void

- Load profile data (lidar points) by successive Levels Of Details using asynchronous requests.

  #### Parameters

  - clippedLine: Coordinate[]

    an array of the clipped line coordinates

  - distanceOffset: number

    the left side of D3 profile domain at current zoom and pan configuration

  - resetPlot: boolean

    whether to reset D3 plot or not

  - minLOD: number

    minimum Level Of Detail

  #### Returns void

  - Defined in src/lidar/Manager.ts:255

### init

- init(config, map): void

- #### Parameters

  - config: LidarprofileConfigService

    Config

  - map: Map

    The map.

  #### Returns void

  - Defined in src/lidar/Manager.ts:196

### setLine

- setLine(line): void

- Set the line for the profile.

  #### Parameters

  - line: LineString

    that defines the profile

  #### Returns void

  - Defined in src/lidar/Manager.ts:218

### setMap

- setMap(map): void

- Set the map used by the profile.

  #### Parameters

  - map: Map

    The map.

  #### Returns void

  - Defined in src/lidar/Manager.ts:226

### updateData

- updateData(): void

- Update the profile data according to D3 chart zoom and pan level The update will wait on a 200ms pause on the actions of users before to do the update.

  #### Returns void

  - Defined in src/lidar/Manager.ts:604